petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCEisenstatGetOmega

Gets the SSOR relaxation coefficient, omega, to use with Eisenstat's trick (where omega = 1.0 by default).

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCEisenstatGetOmega(PC pc,PetscReal *omega)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

omega -relaxation coefficient (0 < omega < 2) Many br

### Options Database Key

-pc_eisenstat_omega <omega> -Sets omega Many br

### Notes

The Eisenstat trick implementation of SSOR requires about 50% of the Many brusual amount of floating point operations used for SSOR + Krylov method; Many brhowever, the preconditioned problem must be solved with both left Many brand right preconditioning. Many br

To use SSOR without the Eisenstat trick, employ the PCSOR preconditioner, Many brwhich can be chosen with the database options Many br

       -pc_type  sor  -pc_sor_symmetric

Many br

### Keywords

PC, Eisenstat, set, SOR, SSOR, relaxation, omega

### See Also

PCSORGetOmega(), PCEisenstatSetOmega()

Level:intermediate
Location:src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages